// MCOrange shader - by guest(r)
// guest.r@gmail.com

// license: GNU-GPL


// definitions and sampler init 

half4x4 World			: WORLD;
half4x4 View			: VIEW;
half4x4 Projection		: PROJECTION;
half4x4 WorldView		: WORLDVIEW;			
half4x4 ViewProjection		: VIEWPROJECTION;		
half4x4 WorldViewProjection	: WORLDVIEWPROJECTION;		


texture s_tex	: SOURCETEXTURE;
sampler	s_sam = sampler_state
{
 Texture   = (s_tex);
 MinFilter = POINT;
 MagFilter = POINT;
};


string name : NAME = "MCOrange";
string combineTechique : COMBINETECHNIQUE =  "MCOrange";


// vertex shader linkin' structure

struct VERTEX_STUFF1
{
  float4  coord : POSITION;
  float2  CT   : TEXCOORD0;
};


// **VS**

VERTEX_STUFF1 S_VERTEX (float3 p : POSITION, float2 tc : TEXCOORD0)
{
  VERTEX_STUFF1 OUT = (VERTEX_STUFF1)0;

  OUT.coord = mul(float4(p,1),WorldViewProjection);
  OUT.CT = tc;
  return OUT;
}

// **PS**

float4 S_FRAGMENT ( in VERTEX_STUFF1 VAR ) : COLOR
{
  half3 ink = half3(1.0, 0.69, 0.41);  
  //half3 ink = half3(1.0, 0.69, 0.0);  
  half3 c11 = tex2D(s_sam, VAR.CT).xyz;
  half lct = length(c11);
  return half4(lct*ink,1);
}



technique MCOrange
{
   pass P0
   {
     VertexShader = compile vs_2_0 S_VERTEX();
     PixelShader  = compile ps_2_0 S_FRAGMENT();
   }  
}
